diff mbox series

[bug#47593,4/6] gnu: python-xyz: Add python-setuptools-declarative-requirements.

Message ID 20210404122005.33127-5-me@bonfacemunyoki.com
State Accepted
Headers show
Series *** Add Python Abjad v3.3 *** | expand

Checks

Context Check Description
cbaines/comparison success View comparision
cbaines/git branch success View Git branch
cbaines/applying patch fail View Laminar job
cbaines/issue success View issue
cbaines/comparison success View comparision
cbaines/git branch success View Git branch
cbaines/applying patch fail View Laminar job
cbaines/issue success View issue

Commit Message

Bonface Munyoki K. April 4, 2021, 12:20 p.m. UTC
* gnu/packages/python-xyz.scm (python-setuptools-declarative-requirements):
New variable.
---
 gnu/packages/python-xyz.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

Comments

Efraim Flashner April 13, 2021, 1:14 p.m. UTC | #1
It would be best to put this package definition near the other
python-setuptools-* package definitions.

On Sun, Apr 04, 2021 at 03:20:03PM +0300, BonfaceKilz wrote:
> * gnu/packages/python-xyz.scm (python-setuptools-declarative-requirements):
> New variable.
> ---
>  gnu/packages/python-xyz.scm | 28 ++++++++++++++++++++++++++++
>  1 file changed, 28 insertions(+)
> 
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index 63eecb591f..8ecf5dadc2 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -24308,3 +24308,31 @@ iGoogle subscription lists.")
>      (description
>       "Tools for building documentation with Sphinx, Graphviz and LaTeX")
>      (license license:expat)))
> +
> +(define-public python-setuptools-declarative-requirements
> +  (package
> +    (name "python-setuptools-declarative-requirements")
> +    (version "1.2.0")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (pypi-uri
> +             "setuptools-declarative-requirements"
> +             version))
> +       (sha256
> +        (base32
> +         "1l8zmcnp9h8sp8hsw7b81djaa1a9yig0y7i4phh5pihqz1gdn7yi"))))
> +    (build-system python-build-system)
> +    (propagated-inputs
> +     `(("python-pytest" ,python-pytest)
> +       ("python-setuptools" ,python-setuptools)
> +       ("python-setuptools-scm" ,python-setuptools-scm)
> +       ("python-toml" ,python-toml)
> +       ("python-wheel" ,python-wheel)))
> +    (home-page
> +     "https://github.com/s0undt3ch/setuptools-declarative-requirements")
> +    (synopsis
> +     "File support for setuptools declarative setup.cfg")
> +    (description
> +     "File support for setuptools declarative setup.cfg")

This should be a full sentence.

> +    (license license:asl2.0)))
> -- 
> 2.31.0
> 
> 
> 
>
Bonface Munyoki K. April 13, 2021, 8:53 p.m. UTC | #2
Efraim Flashner <efraim@flashner.co.il> writes:

> It would be best to put this package definition near the other
> python-setuptools-* package definitions.
>
Noted!

[...]

>> +    (home-page
>> +     "https://github.com/s0undt3ch/setuptools-declarative-requirements")
>> +    (synopsis
>> +     "File support for setuptools declarative setup.cfg")
>> +    (description
>> +     "File support for setuptools declarative setup.cfg")
>
> This should be a full sentence.

Sure!
diff mbox series

Patch

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 63eecb591f..8ecf5dadc2 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -24308,3 +24308,31 @@  iGoogle subscription lists.")
     (description
      "Tools for building documentation with Sphinx, Graphviz and LaTeX")
     (license license:expat)))
+
+(define-public python-setuptools-declarative-requirements
+  (package
+    (name "python-setuptools-declarative-requirements")
+    (version "1.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri
+             "setuptools-declarative-requirements"
+             version))
+       (sha256
+        (base32
+         "1l8zmcnp9h8sp8hsw7b81djaa1a9yig0y7i4phh5pihqz1gdn7yi"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-pytest" ,python-pytest)
+       ("python-setuptools" ,python-setuptools)
+       ("python-setuptools-scm" ,python-setuptools-scm)
+       ("python-toml" ,python-toml)
+       ("python-wheel" ,python-wheel)))
+    (home-page
+     "https://github.com/s0undt3ch/setuptools-declarative-requirements")
+    (synopsis
+     "File support for setuptools declarative setup.cfg")
+    (description
+     "File support for setuptools declarative setup.cfg")
+    (license license:asl2.0)))